org.apache.ignite.internal.processors.cache.distributed.dht

## Class GridDhtTopologyFutureAdapter.CacheGroupValidation

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTopologyFutureAdapter.CacheGroupValidation

Enclosing class:
  GridDhtTopologyFutureAdapter

    protected static class GridDhtTopologyFutureAdapter.CacheGroupValidation
    extends Object

Cache group validation result.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasLostPartitions()`
`boolean` `isValid()`
`Collection<Integer>` `lostPartitions()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isValid

    public boolean isValid()

Returns:
  True if valid, False if invalide.

#### hasLostPartitions

    public boolean hasLostPartitions()

Returns:
  True if lost partition is present, False if not.

#### lostPartitions

    public Collection<Integer> lostPartitions()

Returns:
  Lost patition ID collection.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021